Post by shoo002 » Wed Mar 10, 2010 5:19 am

Hey can anyone help me please, i'm upgrading from 1.3.4 to 1.4.2, followed the installation quide for 1.3.4 to 1.4.0 but have the following errors. Is there and sql file i need to run as I think maybe there is a database change from the look of the error. Im new to PHP so i'm probably way off mark.

ERROR WHEN TRYING BACKEND

Error: Table 'brockha1_fishleisure.weight_class_description' doesn't exist
Error No: 1146
SELECT * FROM weight_class wc LEFT JOIN weight_class_description wcd ON (wc.weight_class_id = wcd.weight_class_id) WHERE wcd.language_id = '1'

ERROR WHEN TRYING FRONT END
Notice: Constant HTTP_SERVER already defined in /home/brockha1/public_html/index.php on line 93Notice: Constant HTTP_IMAGE already defined in /home/brockha1/public_html/index.php on line 94Notice: Constant HTTPS_SERVER already defined in /home/brockha1/public_html/index.php on line 100Notice: Constant HTTPS_IMAGE already defined in /home/brockha1/public_html/index.php on line 101Error: Table 'brockha1_fishleisure.store' doesn't exist
Error No: 1146
SELECT * FROM store WHERE url = 'http://www.thefishingandleisureshop.com/'

Please can some one help me.
Thanks
Stewart

Active Member

Posts

Joined
Sat Jul 04, 2009 9:40 pm


Post by rph » Wed Mar 10, 2010 10:06 am

The database structure changed between 1.4.0 and 1.4.2.

weight_class is now weight_class_description
measurement_class is now length_class_description
measurement_class_id is now length_class_id

Go into your SQL file and rename all those instances.

measurement_rule and weight_rule have been completely reworked and no longer apply. Delete them from your SQL file.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by allenshea » Wed Mar 10, 2010 1:12 pm

It is a bad idea to change the structure of database, you can add new, but never change it.

So far I can not upgrade from 1.4.0 to 1.4.2, I have revised structure as Rph mentioned, but it still doesn't work.

If anyone who can be more clear to point how to upgrade from 1.4.0 to 1.4.2 would be a great appreciated.

Allen

I know nothing about PHP and SQL, but I still try my best to understand it.


Active Member

Posts

Joined
Mon Dec 14, 2009 10:01 pm

Post by shoo002 » Wed Mar 10, 2010 7:17 pm

I second that request, does anyone know what settings to use when creating the relevant tables, I've had some experience in creating tables but only following instructions or stumbling through it with a bit of luck. Does anyone even have some SQL scripts that we could use to execute in phpmyadmin to create the table changes. Thanks in advance
Stewart

Active Member

Posts

Joined
Sat Jul 04, 2009 9:40 pm


Post by i2Paq » Thu Mar 11, 2010 1:56 am

Atm. the advice is NOt to upgrade until the OC 1.4.x is declared Stable.

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by rph » Thu Mar 11, 2010 10:41 am

allenshea wrote:It is a bad idea to change the structure of database, you can add new, but never change it.

So far I can not upgrade from 1.4.0 to 1.4.2, I have revised structure as Rph mentioned, but it still doesn't work.
What error specifically?

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by paulsvang » Fri Mar 12, 2010 2:09 am

i2Paq wrote:Atm. the advice is NOt to upgrade until the OC 1.4.x is declared Stable.
Agreed. Dan is working on another version so I'd wait if I was you.

Opencart User


Active Member

Posts

Joined
Fri Aug 07, 2009 5:31 am

Who is online

Users browsing this forum: No registered users and 3 guests